#pragma once
//  ATMega8 PIR Sensor Driver
//
//  (C) 2009 Radu Motisan , radu.motisan@gmail.com
//  www.pocketmagic.net
//  All rights reserved.
//
//  pir.h: Definitions for PIR sensor usage

#include <avr/io.h> 
#include <stdio.h>
#include "globals.h"

#define PIR_DDR DDRC
#define PIR_PORT PORTC
#define PIR_PIN PINC
//--define pin where PIR sensor is connected
#define PIR_DQ 3	//PC4
//--
#define PIR_INPUT_MODE() PIR_DDR&=~(1<<PIR_DQ)
#define PIR_OUTPUT_MODE() PIR_DDR|=(1<<PIR_DQ)
#define PIR_LOW() PIR_PORT&=~(1<<PIR_DQ)
#define PIR_HIGH() PIR_PORT|=(1<<PIR_DQ)


int PIRInit();
int PIRStatus();
