#pragma once
//  ATMega8 PING Sensor Driver
//
//  (C) 2009 Radu Motisan , radu.motisan@gmail.com
//  www.pocketmagic.net
//  All rights reserved.
//
//  PING.h: Definitions for PING sensor usage


#include "globals.h"

#define PING_DDR DDRC
#define PING_PORT PORTC
#define PING_PIN PINC
//--define pin where PING sensor is connected
#define PING_DQ 3	//PC3
//--
#define PING_INPUT_MODE() PING_DDR&=~(1<<PING_DQ)
#define PING_OUTPUT_MODE() PING_DDR|=(1<<PING_DQ)
#define PING_LOW() PING_PORT&=~(1<<PING_DQ)
#define PING_HIGH() PING_PORT|=(1<<PING_DQ)


//GH-311 interface
//http://www.sensor2006.cn/
int GH311Status();

//unsigned int PINGDistanceCM(); //cm
