//  ATMega8 PIR Sensor Driver
//
//  (C) 2009 Radu Motisan , radu.motisan@gmail.com
//  www.pocketmagic.net
//  All rights reserved.
//
//  pir.c: Definitions for PIR sensor usage



#include "pir.h"

int PIRInit()
{
	PIR_INPUT_MODE();
	PIR_HIGH();

	return 1;//(PIR_PIN & PI
}

//--------------------------------------------------------------------------------------------
//returns 0 if no movement detected, else returns positive
int PIRStatus()	
{
	return (0!= (PIR_PIN & (1<<PIR_DQ)));
}
